Bug 1820242 - [4.3] node-ca daemonset toleration conflicts with clusterlogging CR
Summary: [4.3] node-ca daemonset toleration conflicts with clusterlogging CR
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.2.z
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.3.z
Assignee: Oleg Bulatov
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On: 1801474
Blocks: 1820243
TreeView+ depends on / blocked
 
Reported: 2020-04-02 15:04 UTC by Oleg Bulatov
Modified: 2020-04-30 01:28 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: the nodeca daemon didn't tolerate the NoExecute taint, but ClusterLogging documentation recommends to use NoExecute Consequence: the nodeca daemon doesn't manage certificates on such nodes Fix: tolerate all taints Result: additionalTrustedCA are synced to all nodes with any taints
Clone Of: 1801474
: 1820243 (view as bug list)
Environment:
Last Closed: 2020-04-30 01:28:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-image-registry-operator pull 511 None closed [4.3] Bug 1820242: nodeca daemon should tolerate all taints 2020-05-06 02:36:32 UTC
Red Hat Product Errata RHBA-2020:1529 None None None 2020-04-30 01:28:29 UTC

Comment 4 Wenjing Zheng 2020-04-21 09:56:02 UTC
zhengwenjings-MacBook-Pro:4.3 wzheng$ oc adm taint nodes ip-10-0-55-103.us-east-2.compute.internal logging=true:NoExecute
node/ip-10-0-55-103.us-east-2.compute.internal tainted
zhengwenjings-MacBook-Pro:4.3 wzheng$ oc get pods
NAME                                               READY   STATUS              RESTARTS   AGE
cluster-image-registry-operator-69cb478b54-fvb4c   0/2     ContainerCreating   0          5s
cluster-image-registry-operator-69cb478b54-g2crx   0/2     Terminating         1          89m
image-registry-5b56fdf967-g8rsv                    1/1     Running             0          60m
node-ca-5kx2h                                      1/1     Running             0          60m
node-ca-6hhgb                                      1/1     Running             0          58m
node-ca-88h6v                                      1/1     Running             0          60m
node-ca-hl57m                                      1/1     Running             0          57m
node-ca-m76dr                                      1/1     Terminating         0          59m
zhengwenjings-MacBook-Pro:4.3 wzheng$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.3.0-0.nightly-2020-04-20-084750   True        False         79m     Cluster version is 4.3.0-0.nightly-2020-04-20-084750

Verified on 4.3.0-0.nightly-2020-04-20-084750.

Comment 6 errata-xmlrpc 2020-04-30 01:28:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:1529


Note You need to log in before you can comment on or make changes to this bug.